bitel.billing.server.contract.bean

## Class LimitManager

- java.lang.Object
- - bitel.billing.server.contract.bean.LimitManager

- Deprecated.
  использовать `ru.bitel.bgbilling.kernel.contract.limit.server.bean.LimitManager()`

      @Deprecated
      public final class LimitManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LimitManager.ContractLimitParameters` Deprecated.
    `class` | `LimitManager.UserLimitMove` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `limitMutex` Deprecated. чтобы при одновременном событии восстановления лимита по сроку и по оплате лимит не изменился два раза
    `static int` | `VPAY_EXPIRED` Deprecated.
    `static int` | `VPAY_NOT_PAYOFFED` Deprecated.
    `static int` | `VPAY_PARTIAL_PAYOFFED` Deprecated.
    `static int` | `VPAY_PAYOFFED` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitManager(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addMoveTask(LimitChangeTask task)` Deprecated.
    `static void` | `clientPaymentEvent(java.sql.Connection con, PaymentEvent event)` Deprecated. Установка понижений лимита оплаченными по фа.
    `void` | `deleteMoveTask(int id)` Deprecated.
    `void` | `deleteMoveTaskAndLog(int id, int cid, int uid)` Deprecated.
    `void` | `executeRestoreLimitTask(java.util.Calendar now, ContractManager cm)` Deprecated.
    `LimitManager.ContractLimitParameters` | `getContractLimitParameters(Setup setup, Contract contract)` Deprecated.
    `java.util.List<LimitChangeTask>` | `getContractMoveTasks(int cid)` Deprecated.
    `java.util.List<LimitChangeTask>` | `getFullTaskList()` Deprecated.
    `java.util.List<LimitManager.UserLimitMove>` | `getUserLimitMove(int cid, java.util.Calendar date1, java.util.Calendar date2)` Deprecated.
    `java.util.List<LimitManager.UserLimitMove>` | `getUserLimitMove(int cid, int yy, int mm)` Deprecated.
    `boolean` | `initRestoreLimitTask(java.util.Calendar date)` Deprecated.
    `void` | `lowLimit(int cid, java.math.BigDecimal summ, int days)` Deprecated. Временное понижение лимита.
    `void` | `setLimitManageMode(int uid, int cid, int mode)` Deprecated.
    `void` | `updateContractLimit(int uid, java.math.BigDecimal newValue, int cid, java.lang.String comment, java.lang.String days)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VPAY_NOT_PAYOFFED

          public static final int VPAY_NOT_PAYOFFED

      Deprecated.
      See Also:
        Constant Field Values

    - #### VPAY_PARTIAL_PAYOFFED

          public static final int VPAY_PARTIAL_PAYOFFED

      Deprecated.
      See Also:
        Constant Field Values

    - #### VPAY_PAYOFFED

          public static final int VPAY_PAYOFFED

      Deprecated.
      See Also:
        Constant Field Values

    - #### VPAY_EXPIRED

          public static final int VPAY_EXPIRED

      Deprecated.
      See Also:
        Constant Field Values

    - #### limitMutex

          public static final java.lang.Object limitMutex

      Deprecated.
      чтобы при одновременном событии восстановления лимита по сроку и по оплате лимит не изменился два раза

  - ### Constructor Detail

    - #### LimitManager

          public LimitManager(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### getContractMoveTasks

          public java.util.List<LimitChangeTask> getContractMoveTasks(int cid)

      Deprecated.

    - #### addMoveTask

          public int addMoveTask(LimitChangeTask task)
                          throws java.sql.SQLException

      Deprecated.
      Throws:
        `java.sql.SQLException`

    - #### deleteMoveTask

          public void deleteMoveTask(int id)
                              throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteMoveTaskAndLog

          public void deleteMoveTaskAndLog(int id,
                                           int cid,
                                           int uid)

      Deprecated.

    - #### getFullTaskList

          public java.util.List<LimitChangeTask> getFullTaskList()

      Deprecated.

    - #### updateContractLimit

          public void updateContractLimit(int uid,
                                          java.math.BigDecimal newValue,
                                          int cid,
                                          java.lang.String comment,
                                          java.lang.String days)

      Deprecated.

    - #### initRestoreLimitTask

          public boolean initRestoreLimitTask(java.util.Calendar date)

      Deprecated.

    - #### executeRestoreLimitTask

          public void executeRestoreLimitTask(java.util.Calendar now,
                                              ContractManager cm)

      Deprecated.

    - #### clientPaymentEvent

          public static void clientPaymentEvent(java.sql.Connection con,
                                                PaymentEvent event)
                                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Установка понижений лимита оплаченными по фа.
      Parameters:
        `con` -
        `event` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractLimitParameters

          public LimitManager.ContractLimitParameters getContractLimitParameters(Setup setup,
                                                                                 Contract contract)
                                                                          throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lowLimit

          public void lowLimit(int cid,
                               java.math.BigDecimal summ,
                               int days)
                        throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Временное понижение лимита.
      Parameters:
        `cid` - - код договора
        `summ` - - на какую сумму уменьшить лмиит
        `days` - - на сколько дней
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getUserLimitMove

          public java.util.List<LimitManager.UserLimitMove> getUserLimitMove(int cid,
                                                                             int yy,
                                                                             int mm)

      Deprecated.

    - #### getUserLimitMove

          public java.util.List<LimitManager.UserLimitMove> getUserLimitMove(int cid,
                                                                             java.util.Calendar date1,
                                                                             java.util.Calendar date2)

      Deprecated.

    - #### setLimitManageMode

          public void setLimitManageMode(int uid,
                                         int cid,
                                         int mode)

      Deprecated.